#include <bits/stdc++.h>
using namespace std;
long long ans1, ans2, ans;
int main() {
    long long n, m, k;
    cin >>n >> m >> k;
    ans1 = n/k;
    ans2 = m/k;
    if (n%k) ans1++;
    if(m%k) ans2++;
    ans = ans1*ans2;
    cout << ans;

}
